<?php
/**
 * Template Name: Grid
 *
 * Description: A page template that will display "all" posts in a grid layout
 *
 * @since 1.0.0
 */
get_header(); ?>

	<div class="container">
		<div id="primary">
			<?php
			while ( have_posts() ) : the_post();
				if ( '' != $post->post_content ) { ?>
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<h1 class="entry-title">
							<?php the_title(); ?>
						</h1>

					    <div class="entry-content">
						    <?php the_content( __( 'Read more', 'matheson' ) ); ?>
					    </div><!-- .entry-content -->

					    <?php get_template_part( 'content', 'footer' ); ?>
					</article><!-- #post-<?php the_ID(); ?> -->
				<?php
				}
			endwhile;

			bavotasan_grid_template();
			?>
		</div><!-- #primary -->
	</div>
<?php get_footer(); ?>